document.addEventListener('DOMContentLoaded', function() {
  // Mobile menu toggle
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');
  
  mobileMenu?.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Search functionality
  const searchInput = document.querySelector('input[type="search"]');
  const searchButton = document.querySelector('.search-container button');

  searchButton?.addEventListener('click', () => {
    const searchTerm = searchInput.value.trim();
    if (searchTerm) {
      // Implement search logic here
      console.log('Searching for:', searchTerm);
    }
  });

  // Follow button functionality
  document.querySelectorAll('.follow-btn').forEach(button => {
    button.addEventListener('click', function() {
      this.textContent = this.textContent === '关注' ? '已关注' : '关注';
      this.classList.toggle('followed');
    });
  });

  // Infinite scroll simulation
  let isLoading = false;
  window.addEventListener('scroll', () => {
    if (window.innerHeight + window.scrollY >= document.body.offsetHeight - 1000) {
      if (!isLoading) {
        isLoading = true;
        loadMoreCreators();
      }
    }
  });

  function loadMoreCreators() {
    // Simulate loading more creators
    setTimeout(() => {
      isLoading = false;
      // Add more creator cards here
    }, 1000);
  }

  // Initialize analytics chart if canvas exists
  const chartCanvas = document.getElementById('growthChart');
  if (chartCanvas) {
    const ctx = chartCanvas.getContext('2d');
    // Implement chart drawing logic here
  }
});
